@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cedarville+Cursive&family=Gamja+Flower&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Protest+Riot&display=swap');
:root{
    --lightning-color:#0089b7;
    --dark-color:#003d62;
    --darker-color:#003251;
    --secondary-color:#fff700;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    font-size: 62.5%;
}
html,body{
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    line-height: 1.4;
    scroll-behavior: smooth;
    color: white;
}
body{
    font-size: 1.4rem;
}
.container{
    max-width: 1300px;
    margin: 0 auto;
    /* padding: 0 2rem; */
}
header{
    background: var(--lightning-color);

}
nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
}
a{
    text-decoration: none;
    color: white;
}
nav ul{
    display: flex;
    gap: 1rem;
    

}
nav ul li{
    list-style: none;
    font-size: 1.8rem;
    transition: 0.3s ease-in-out;
    border-bottom: 0.4rem transparent solid;
    
}
nav ul li:hover{
    border-bottom: 0.4rem var(--secondary-color) solid;
    transition: 0.3s ease-in-out;
}
.logo{
    font-size: 2rem;
    font-weight: 700;
}

#hero{
    background: var(--dark-color);
    padding: 4rem 0;
    border-bottom: 4px solid var(--lightning-color);
}
#hero .container{
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.hero_content{
    display: grid;
    place-items: center;
}
#hero h1{
    font-size: 3rem;
    font-weight: bold;
    
}
.hi_txt{
    font-size: 6rem;
    font-weight: bold;
    color: var(--secondary-color);
}
.name_txt{
    font-size: 5rem;
    /* font-family: "Gamja Flower", sans-serif; */
    font-family: "Protest Riot", sans-serif;
    font-weight: 300;
    /* font-family: "Cedarville Cursive", cursive; */
}
#hero h2{
    font-size: 4rem;
    letter-spacing: 10px;
    /* animation */
    overflow: hidden;
    border-right: 0.15em solid orange;
    white-space: nowrap;
    margin: 0 auto;
    animation: typing 5s steps(40,end) , blink-caret 0.75s step-end infinite;
  

}

@keyframes typing {
    from{
        width: 0;
    }
    to{
        width: 100%;
    }
    
}
@keyframes blink-caret {
    from,to{
        border-color: transparent;
    }
    50%{
        border-color: orange;
    }
    /* 100%{
        border-color: transparent;
    } */
}
/* PROJ SECTION  */
#project{
    /* border: 1px solid transparent; */
    /* border: 1px solid red; */
    padding: 2rem;
    /* position: relative; */
    /* top: 0px; */
    background: var(--darker-color);
}
#project h2{
    font-size: 6rem;
    text-align: center;
    margin: 2rem 0;
}

.proj_container{
    display: grid;
    grid-template-columns: repeat(auto-fit ,minmax(320px,1fr));
    gap: 2rem;
    /* border: 2px solid red; */
    /* place-items: center; */
}
.grid_item{
    /* border: 2px solid green; */
    display: grid;
    place-items: center;
}
.card{
    /* border: 2px solid orange; */
    width: 320px;
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    border-radius: 0.5rem;
    overflow: hidden;
    transition: 0.2s ease-in-out;

}
.card:hover{
    transform: scale(1.05);
    transition: 1s ease-in-out;
}
.card img{
    transition: 0.3s ease-in-out;

}
.card:hover img{
    transform: scale(1.05);
    transition: 0.3s ease-in-out;
}

.card:hover .card_content{
    background: white;
    color: var(--dark-color);
    transform: translateY(0px);
    color: var(--darker-color);
    
}
.card_content{
    padding: 2rem;
    position: relative;
    top: -6.5rem;
    margin-bottom: -6.5rem;
    transition: 0.5s ease-in-out;
    transform: translateY(50px);
}

.card_content h3{
    text-align: center;
}
/* conatact section  */
#contact{
    background: var(--dark-color);
}
#contact h2{
    font-size: 6rem;
    text-align: center;
    margin: 2rem 0;
}
#contact .container{
    height: 90vh;
    display: flex;
    flex-direction: column;
    gap: 4rem;
    justify-content: center;
    /* align-items: center; */

}
.top_contact{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(80px,1fr));
    margin: 0 auto;
    max-width: 800px;
    /* border: 2px solid red; */
}
.contact_way{
    display: flex;
    gap: 1rem;
    align-items: center;
    /* border: 2px solid violet; */
    justify-content: center;
    /* font-size: 6rem; */

}
.contact_way i{
    font-size: 3rem;
    /* border: 2px solid yellow; */
}
.contact_way h3{
    font-size: 2.5rem;
    font-weight: bold ;
    /* border: 2px solid green; */
}
.bottom_contact{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(80px,1fr));
    margin: 0 auto;
    max-width: 400px;
    gap: 1rem;

}
/* footer section  */
footer{
    background: var(--darker-color);
    padding: 2rem;
    font-size: 1.6rem;
    text-align: center;
}
/* media query */

@media (max-width:966px){
    html{
        font-size: 45%;
    }
    

}
@media (max-width:852px){
    html{
        font-size: 40%;
    }
    

}
@media (max-width:812px){
    html{
        font-size: 36%;
    }
    

}

@media (max-width:786px){
    html{
        font-size: 40%;
    }
    #hero .container{
        flex-direction: column;
    }

    .hero_image{
        display: grid;
        place-items: center;
    }
    #contact .container{
        height: 70vh;
    }
    
}
@media (max-width:586px){
    html{
        font-size: 32%;
    }
    #hero .container{
        flex-direction: column;
    }

    .hero_image{
        display: grid;
        place-items: center;
    }
    #contact .container{
        height: 50vh;
    }
    
}

@media (max-width:434px){
    .hero_img img{
        /* border: 2px solid red; */
        height: 30vh !important;
        transform: scale(0.85);
    }
    html{
        font-size: 25%;
    }
    .contact_way i{
        font-size: 5rem;
        /* border: 2px solid yellow; */
    }
    .contact_way h3{
        font-size: 4rem;
        font-weight: bold ;
        /* border: 2px solid green; */
    }
    
}